﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="BangjasaModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Customer">
          <Key>
            <PropertyRef Name="CustomerId" />
          </Key>
          <Property Name="CustomerId" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Username" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Password" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Fullname" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Handphone" Type="varchar" MaxLength="12" />
          <Property Name="Email" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Token" Type="varchar" MaxLength="50" />
          <Property Name="Foto" Type="varchar" MaxLength="50" />
          <Property Name="LastLogin" Type="datetime" />
          <Property Name="IsDeleted" Type="bit" />
          <Property Name="CreatedDate" Type="datetime" Nullable="false" />
          <Property Name="CreatedBy" Type="bigint" Nullable="false" />
          <Property Name="UpdatedDate" Type="date" />
          <Property Name="UpdatedBy" Type="bigint" />
        </EntityType>
        <EntityType Name="Faskes">
          <Key>
            <PropertyRef Name="IdFaskes" />
          </Key>
          <Property Name="IdFaskes" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Terhapus" Type="bit" Nullable="false" />
        </EntityType>
        <EntityType Name="HubunganPelapor">
          <Key>
            <PropertyRef Name="IdHubunganPelapor" />
          </Key>
          <Property Name="IdHubunganPelapor" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Terhapus" Type="bit" Nullable="false" />
        </EntityType>
        <EntityType Name="Kabupaten">
          <Key>
            <PropertyRef Name="IdKabupaten" />
          </Key>
          <Property Name="IdKabupaten" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Terhapus" Type="bit" Nullable="false" />
        </EntityType>
        <EntityType Name="KasusKecelakaan">
          <Key>
            <PropertyRef Name="IdKasusKecelakaan" />
          </Key>
          <Property Name="IdKasusKecelakaan" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Terhapus" Type="bit" Nullable="false" />
        </EntityType>
        <EntityType Name="KondisiKorban">
          <Key>
            <PropertyRef Name="IdKondisiKorban" />
          </Key>
          <Property Name="IdKondisiKorban" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Terhapus" Type="bit" Nullable="false" />
        </EntityType>
        <EntityType Name="Kota">
          <Key>
            <PropertyRef Name="IdKota" />
          </Key>
          <Property Name="IdKota" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Terhapus" Type="bit" Nullable="false" />
        </EntityType>
        <EntityType Name="Pembayaran">
          <Key>
            <PropertyRef Name="IdPembayaran" />
          </Key>
          <Property Name="IdPembayaran" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="CustomerId" Type="bigint" Nullable="false" />
          <Property Name="NomorPembayaran" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Keterangan" Type="text" Nullable="false" />
          <Property Name="Jumlah" Type="bigint" Nullable="false" />
          <Property Name="TanggalJatuhTempo" Type="date" Nullable="false" />
          <Property Name="UrlPembayaran" Type="text" Nullable="false" />
          <Property Name="TanggalPembayaran" Type="datetime" />
          <Property Name="Status" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="PengajuanKecelakaan">
          <Key>
            <PropertyRef Name="IdPengajuan" />
          </Key>
          <Property Name="IdPengajuan" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="NomorPelaporan" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="NIK" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="TanggalKecelakaan" Type="datetime" Nullable="false" />
          <Property Name="IdProvinsi" Type="bigint" Nullable="false" />
          <Property Name="IdKabupaten" Type="bigint" Nullable="false" />
          <Property Name="IdKota" Type="bigint" Nullable="false" />
          <Property Name="Umur" Type="int" Nullable="false" />
          <Property Name="JenisKelamin" Type="varchar" MaxLength="1" Nullable="false" />
          <Property Name="Alamat" Type="text" Nullable="false" />
          <Property Name="IdKondisiKorban" Type="bigint" Nullable="false" />
          <Property Name="IdKasusKecelakaan" Type="bigint" Nullable="false" />
          <Property Name="IdHubunganPelapor" Type="bigint" Nullable="false" />
          <Property Name="NamaPelapor" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="HandphonePelapor" Type="varchar" MaxLength="12" Nullable="false" />
          <Property Name="IdProvinsiPelapor" Type="bigint" Nullable="false" />
          <Property Name="IdKotaPelapor" Type="bigint" Nullable="false" />
          <Property Name="IdFaskes" Type="bigint" Nullable="false" />
          <Property Name="KTP" Type="varchar" MaxLength="200" />
          <Property Name="KwitansiRS" Type="varchar" MaxLength="200" />
          <Property Name="SuratKeteranganKesehatan" Type="varchar" MaxLength="200" />
          <Property Name="SuratKeteranganAhliWaris" Type="varchar" MaxLength="200" />
          <Property Name="LaporanPolisi" Type="bit" Nullable="false" />
          <Property Name="NoLaporan" Type="varchar" MaxLength="50" />
          <Property Name="SuratLaporanPolisi" Type="varchar" MaxLength="200" />
          <Property Name="Status" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="Provinsi">
          <Key>
            <PropertyRef Name="IdProvinsi" />
          </Key>
          <Property Name="IdProvinsi" Type="bigint" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Nama" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="Dihapus" Type="bit" Nullable="false" />
        </EntityType>
        <Association Name="FK_Pembayaran_Customer">
          <End Role="Customer" Type="Self.Customer" Multiplicity="1" />
          <End Role="Pembayaran" Type="Self.Pembayaran" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Customer">
              <PropertyRef Name="CustomerId" />
            </Principal>
            <Dependent Role="Pembayaran">
              <PropertyRef Name="CustomerId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Faskes">
          <End Role="Faskes" Type="Self.Faskes" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Faskes">
              <PropertyRef Name="IdFaskes" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdFaskes" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_HubunganPelapor">
          <End Role="HubunganPelapor" Type="Self.HubunganPelapor" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="HubunganPelapor">
              <PropertyRef Name="IdHubunganPelapor" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdHubunganPelapor" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Kabupaten">
          <End Role="Kabupaten" Type="Self.Kabupaten" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Kabupaten">
              <PropertyRef Name="IdKabupaten" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKabupaten" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_KasusKecelakaan">
          <End Role="KasusKecelakaan" Type="Self.KasusKecelakaan" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="KasusKecelakaan">
              <PropertyRef Name="IdKasusKecelakaan" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKasusKecelakaan" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_KondisiKorban">
          <End Role="KondisiKorban" Type="Self.KondisiKorban" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="KondisiKorban">
              <PropertyRef Name="IdKondisiKorban" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKondisiKorban" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Kota">
          <End Role="Kota" Type="Self.Kota" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Kota">
              <PropertyRef Name="IdKota" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKota" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Kota1">
          <End Role="Kota" Type="Self.Kota" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Kota">
              <PropertyRef Name="IdKota" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKotaPelapor" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Provinsi">
          <End Role="Provinsi" Type="Self.Provinsi" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Provinsi">
              <PropertyRef Name="IdProvinsi" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdProvinsi" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Provinsi1">
          <End Role="Provinsi" Type="Self.Provinsi" Multiplicity="1" />
          <End Role="PengajuanKecelakaan" Type="Self.PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Provinsi">
              <PropertyRef Name="IdProvinsi" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdProvinsiPelapor" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="BangjasaModelStoreContainer">
          <EntitySet Name="Customer" EntityType="Self.Customer" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Faskes" EntityType="Self.Faskes" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="HubunganPelapor" EntityType="Self.HubunganPelapor" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Kabupaten" EntityType="Self.Kabupaten" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="KasusKecelakaan" EntityType="Self.KasusKecelakaan" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="KondisiKorban" EntityType="Self.KondisiKorban" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Kota" EntityType="Self.Kota" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Pembayaran" EntityType="Self.Pembayaran" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="PengajuanKecelakaan" EntityType="Self.PengajuanKecelakaan" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Provinsi" EntityType="Self.Provinsi" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_Pembayaran_Customer" Association="Self.FK_Pembayaran_Customer">
            <End Role="Customer" EntitySet="Customer" />
            <End Role="Pembayaran" EntitySet="Pembayaran" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Faskes" Association="Self.FK_PengajuanKecelakaan_Faskes">
            <End Role="Faskes" EntitySet="Faskes" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_HubunganPelapor" Association="Self.FK_PengajuanKecelakaan_HubunganPelapor">
            <End Role="HubunganPelapor" EntitySet="HubunganPelapor" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Kabupaten" Association="Self.FK_PengajuanKecelakaan_Kabupaten">
            <End Role="Kabupaten" EntitySet="Kabupaten" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_KasusKecelakaan" Association="Self.FK_PengajuanKecelakaan_KasusKecelakaan">
            <End Role="KasusKecelakaan" EntitySet="KasusKecelakaan" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_KondisiKorban" Association="Self.FK_PengajuanKecelakaan_KondisiKorban">
            <End Role="KondisiKorban" EntitySet="KondisiKorban" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Kota" Association="Self.FK_PengajuanKecelakaan_Kota">
            <End Role="Kota" EntitySet="Kota" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Kota1" Association="Self.FK_PengajuanKecelakaan_Kota1">
            <End Role="Kota" EntitySet="Kota" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Provinsi" Association="Self.FK_PengajuanKecelakaan_Provinsi">
            <End Role="Provinsi" EntitySet="Provinsi" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Provinsi1" Association="Self.FK_PengajuanKecelakaan_Provinsi1">
            <End Role="Provinsi" EntitySet="Provinsi" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaan" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="BangjasaModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityContainer Name="BangjasaEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Kabupatens" EntityType="BangjasaModel.Kabupaten" />
          <EntitySet Name="KasusKecelakaans" EntityType="BangjasaModel.KasusKecelakaan" />
          <EntitySet Name="KondisiKorbans" EntityType="BangjasaModel.KondisiKorban" />
          <EntitySet Name="Kotas" EntityType="BangjasaModel.Kota" />
          <EntitySet Name="Provinsis" EntityType="BangjasaModel.Provinsi" />
          <EntitySet Name="Faskes" EntityType="BangjasaModel.Faske" />
          <EntitySet Name="HubunganPelapors" EntityType="BangjasaModel.HubunganPelapor" />
          <EntitySet Name="PengajuanKecelakaans" EntityType="BangjasaModel.PengajuanKecelakaan" />
          <AssociationSet Name="FK_PengajuanKecelakaan_Faskes" Association="BangjasaModel.FK_PengajuanKecelakaan_Faskes">
            <End Role="Faske" EntitySet="Faskes" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_HubunganPelapor" Association="BangjasaModel.FK_PengajuanKecelakaan_HubunganPelapor">
            <End Role="HubunganPelapor" EntitySet="HubunganPelapors" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Kabupaten" Association="BangjasaModel.FK_PengajuanKecelakaan_Kabupaten">
            <End Role="Kabupaten" EntitySet="Kabupatens" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_KasusKecelakaan" Association="BangjasaModel.FK_PengajuanKecelakaan_KasusKecelakaan">
            <End Role="KasusKecelakaan" EntitySet="KasusKecelakaans" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_KondisiKorban" Association="BangjasaModel.FK_PengajuanKecelakaan_KondisiKorban">
            <End Role="KondisiKorban" EntitySet="KondisiKorbans" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Kota" Association="BangjasaModel.FK_PengajuanKecelakaan_Kota">
            <End Role="Kota" EntitySet="Kotas" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Kota1" Association="BangjasaModel.FK_PengajuanKecelakaan_Kota1">
            <End Role="Kota" EntitySet="Kotas" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Provinsi" Association="BangjasaModel.FK_PengajuanKecelakaan_Provinsi">
            <End Role="Provinsi" EntitySet="Provinsis" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <AssociationSet Name="FK_PengajuanKecelakaan_Provinsi1" Association="BangjasaModel.FK_PengajuanKecelakaan_Provinsi1">
            <End Role="Provinsi" EntitySet="Provinsis" />
            <End Role="PengajuanKecelakaan" EntitySet="PengajuanKecelakaans" />
          </AssociationSet>
          <EntitySet Name="Customers" EntityType="BangjasaModel.Customer" />
          <EntitySet Name="Pembayarans" EntityType="BangjasaModel.Pembayaran" />
          <AssociationSet Name="FK_Pembayaran_Customer" Association="BangjasaModel.FK_Pembayaran_Customer">
            <End Role="Customer" EntitySet="Customers" />
            <End Role="Pembayaran" EntitySet="Pembayarans" />
          </AssociationSet>
          </EntityContainer>
        <EntityType Name="Kabupaten">
          <Key>
            <PropertyRef Name="IdKabupaten" />
          </Key>
          <Property Name="IdKabupaten" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Terhapus" Type="Boolean" Nullable="false" />
          <NavigationProperty Name="PengajuanKecelakaans" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Kabupaten" FromRole="Kabupaten" ToRole="PengajuanKecelakaan" />
        </EntityType>
        <EntityType Name="KasusKecelakaan">
          <Key>
            <PropertyRef Name="IdKasusKecelakaan" />
          </Key>
          <Property Name="IdKasusKecelakaan" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Terhapus" Type="Boolean" Nullable="false" />
          <NavigationProperty Name="PengajuanKecelakaans" Relationship="BangjasaModel.FK_PengajuanKecelakaan_KasusKecelakaan" FromRole="KasusKecelakaan" ToRole="PengajuanKecelakaan" />
        </EntityType>
        <EntityType Name="KondisiKorban">
          <Key>
            <PropertyRef Name="IdKondisiKorban" />
          </Key>
          <Property Name="IdKondisiKorban" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Terhapus" Type="Boolean" Nullable="false" />
          <NavigationProperty Name="PengajuanKecelakaans" Relationship="BangjasaModel.FK_PengajuanKecelakaan_KondisiKorban" FromRole="KondisiKorban" ToRole="PengajuanKecelakaan" />
        </EntityType>
        <EntityType Name="Kota">
          <Key>
            <PropertyRef Name="IdKota" />
          </Key>
          <Property Name="IdKota" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Terhapus" Type="Boolean" Nullable="false" />
          <NavigationProperty Name="PengajuanKecelakaans" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Kota" FromRole="Kota" ToRole="PengajuanKecelakaan" />
          <NavigationProperty Name="PengajuanKecelakaans1" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Kota1" FromRole="Kota" ToRole="PengajuanKecelakaan" />
          </EntityType>
        <EntityType Name="Provinsi">
          <Key>
            <PropertyRef Name="IdProvinsi" />
          </Key>
          <Property Name="IdProvinsi" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Dihapus" Type="Boolean" Nullable="false" />
          <NavigationProperty Name="PengajuanKecelakaans" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Provinsi" FromRole="Provinsi" ToRole="PengajuanKecelakaan" />
          <NavigationProperty Name="PengajuanKecelakaans1" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Provinsi1" FromRole="Provinsi" ToRole="PengajuanKecelakaan" />
          </EntityType>
        <EntityType Name="Faske">
          <Key>
            <PropertyRef Name="IdFaskes" />
          </Key>
          <Property Name="IdFaskes" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Terhapus" Type="Boolean" Nullable="false" />
          <NavigationProperty Name="PengajuanKecelakaans" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Faskes" FromRole="Faske" ToRole="PengajuanKecelakaan" />
        </EntityType>
        <EntityType Name="HubunganPelapor">
          <Key>
            <PropertyRef Name="IdHubunganPelapor" />
          </Key>
          <Property Name="IdHubunganPelapor" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Terhapus" Type="Boolean" Nullable="false" />
          <NavigationProperty Name="PengajuanKecelakaans" Relationship="BangjasaModel.FK_PengajuanKecelakaan_HubunganPelapor" FromRole="HubunganPelapor" ToRole="PengajuanKecelakaan" />
        </EntityType>
        <EntityType Name="PengajuanKecelakaan">
          <Key>
            <PropertyRef Name="IdPengajuan" />
          </Key>
          <Property Name="IdPengajuan" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="NomorPelaporan" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="NIK" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Nama" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="TanggalKecelakaan" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="IdProvinsi" Type="Int64" Nullable="false" />
          <Property Name="IdKabupaten" Type="Int64" Nullable="false" />
          <Property Name="IdKota" Type="Int64" Nullable="false" />
          <Property Name="Umur" Type="Int32" Nullable="false" />
          <Property Name="JenisKelamin" Type="String" Nullable="false" MaxLength="1" FixedLength="false" Unicode="false" />
          <Property Name="Alamat" Type="String" Nullable="false" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="IdKondisiKorban" Type="Int64" Nullable="false" />
          <Property Name="IdKasusKecelakaan" Type="Int64" Nullable="false" />
          <Property Name="IdHubunganPelapor" Type="Int64" Nullable="false" />
          <Property Name="NamaPelapor" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="HandphonePelapor" Type="String" Nullable="false" MaxLength="12" FixedLength="false" Unicode="false" />
          <Property Name="IdProvinsiPelapor" Type="Int64" Nullable="false" />
          <Property Name="IdKotaPelapor" Type="Int64" Nullable="false" />
          <Property Name="IdFaskes" Type="Int64" Nullable="false" />
          <Property Name="KTP" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <Property Name="KwitansiRS" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <Property Name="SuratKeteranganKesehatan" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <Property Name="SuratKeteranganAhliWaris" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <Property Name="LaporanPolisi" Type="Boolean" Nullable="false" />
          <Property Name="NoLaporan" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="SuratLaporanPolisi" Type="String" MaxLength="200" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="Faske" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Faskes" FromRole="PengajuanKecelakaan" ToRole="Faske" />
          <NavigationProperty Name="HubunganPelapor" Relationship="BangjasaModel.FK_PengajuanKecelakaan_HubunganPelapor" FromRole="PengajuanKecelakaan" ToRole="HubunganPelapor" />
          <NavigationProperty Name="Kabupaten" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Kabupaten" FromRole="PengajuanKecelakaan" ToRole="Kabupaten" />
          <NavigationProperty Name="KasusKecelakaan" Relationship="BangjasaModel.FK_PengajuanKecelakaan_KasusKecelakaan" FromRole="PengajuanKecelakaan" ToRole="KasusKecelakaan" />
          <NavigationProperty Name="KondisiKorban" Relationship="BangjasaModel.FK_PengajuanKecelakaan_KondisiKorban" FromRole="PengajuanKecelakaan" ToRole="KondisiKorban" />
          <NavigationProperty Name="Kota" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Kota" FromRole="PengajuanKecelakaan" ToRole="Kota" />
          <NavigationProperty Name="Kota1" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Kota1" FromRole="PengajuanKecelakaan" ToRole="Kota" />
          <NavigationProperty Name="Provinsi" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Provinsi" FromRole="PengajuanKecelakaan" ToRole="Provinsi" />
          <NavigationProperty Name="Provinsi1" Relationship="BangjasaModel.FK_PengajuanKecelakaan_Provinsi1" FromRole="PengajuanKecelakaan" ToRole="Provinsi" />
          <Property Name="Status" Type="Int32" Nullable="false" />
        </EntityType>
        <Association Name="FK_PengajuanKecelakaan_Faskes">
          <End Type="BangjasaModel.Faske" Role="Faske" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Faske">
              <PropertyRef Name="IdFaskes" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdFaskes" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_HubunganPelapor">
          <End Type="BangjasaModel.HubunganPelapor" Role="HubunganPelapor" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="HubunganPelapor">
              <PropertyRef Name="IdHubunganPelapor" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdHubunganPelapor" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Kabupaten">
          <End Type="BangjasaModel.Kabupaten" Role="Kabupaten" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Kabupaten">
              <PropertyRef Name="IdKabupaten" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKabupaten" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_KasusKecelakaan">
          <End Type="BangjasaModel.KasusKecelakaan" Role="KasusKecelakaan" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="KasusKecelakaan">
              <PropertyRef Name="IdKasusKecelakaan" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKasusKecelakaan" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_KondisiKorban">
          <End Type="BangjasaModel.KondisiKorban" Role="KondisiKorban" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="KondisiKorban">
              <PropertyRef Name="IdKondisiKorban" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKondisiKorban" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Kota">
          <End Type="BangjasaModel.Kota" Role="Kota" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Kota">
              <PropertyRef Name="IdKota" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKota" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Kota1">
          <End Type="BangjasaModel.Kota" Role="Kota" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Kota">
              <PropertyRef Name="IdKota" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdKotaPelapor" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Provinsi">
          <End Type="BangjasaModel.Provinsi" Role="Provinsi" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Provinsi">
              <PropertyRef Name="IdProvinsi" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdProvinsi" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_PengajuanKecelakaan_Provinsi1">
          <End Type="BangjasaModel.Provinsi" Role="Provinsi" Multiplicity="1" />
          <End Type="BangjasaModel.PengajuanKecelakaan" Role="PengajuanKecelakaan" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Provinsi">
              <PropertyRef Name="IdProvinsi" />
            </Principal>
            <Dependent Role="PengajuanKecelakaan">
              <PropertyRef Name="IdProvinsiPelapor" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityType Name="Customer">
          <Key>
            <PropertyRef Name="CustomerId" />
          </Key>
          <Property Name="CustomerId" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Username" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Password" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Fullname" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Handphone" Type="String" MaxLength="12" FixedLength="false" Unicode="false" />
          <Property Name="Email" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Token" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Foto" Type="String" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="LastLogin" Type="DateTime" Precision="3" />
          <Property Name="IsDeleted" Type="Boolean" />
          <Property Name="CreatedDate" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="CreatedBy" Type="Int64" Nullable="false" />
          <Property Name="UpdatedDate" Type="DateTime" Precision="0" />
          <Property Name="UpdatedBy" Type="Int64" />
          <NavigationProperty Name="Pembayarans" Relationship="BangjasaModel.FK_Pembayaran_Customer" FromRole="Customer" ToRole="Pembayaran" />
        </EntityType>
        <EntityType Name="Pembayaran">
          <Key>
            <PropertyRef Name="IdPembayaran" />
          </Key>
          <Property Name="IdPembayaran" Type="Int64" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="CustomerId" Type="Int64" Nullable="false" />
          <Property Name="NomorPembayaran" Type="String" Nullable="false" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Name="Keterangan" Type="String" Nullable="false" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="Jumlah" Type="Int64" Nullable="false" />
          <Property Name="TanggalJatuhTempo" Type="DateTime" Nullable="false" Precision="0" />
          <Property Name="UrlPembayaran" Type="String" Nullable="false" MaxLength="Max" FixedLength="false" Unicode="false" />
          <Property Name="TanggalPembayaran" Type="DateTime" Precision="3" />
          <Property Name="Status" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Customer" Relationship="BangjasaModel.FK_Pembayaran_Customer" FromRole="Pembayaran" ToRole="Customer" />
        </EntityType>
        <Association Name="FK_Pembayaran_Customer">
          <End Type="BangjasaModel.Customer" Role="Customer" Multiplicity="1" />
          <End Type="BangjasaModel.Pembayaran" Role="Pembayaran" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Customer">
              <PropertyRef Name="CustomerId" />
            </Principal>
            <Dependent Role="Pembayaran">
              <PropertyRef Name="CustomerId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="BangjasaModelStoreContainer" CdmEntityContainer="BangjasaEntities">
          <EntitySetMapping Name="Kabupatens">
            <EntityTypeMapping TypeName="BangjasaModel.Kabupaten">
              <MappingFragment StoreEntitySet="Kabupaten">
                <ScalarProperty Name="Terhapus" ColumnName="Terhapus" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="IdKabupaten" ColumnName="IdKabupaten" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="KasusKecelakaans">
            <EntityTypeMapping TypeName="BangjasaModel.KasusKecelakaan">
              <MappingFragment StoreEntitySet="KasusKecelakaan">
                <ScalarProperty Name="Terhapus" ColumnName="Terhapus" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="IdKasusKecelakaan" ColumnName="IdKasusKecelakaan" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="KondisiKorbans">
            <EntityTypeMapping TypeName="BangjasaModel.KondisiKorban">
              <MappingFragment StoreEntitySet="KondisiKorban">
                <ScalarProperty Name="Terhapus" ColumnName="Terhapus" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="IdKondisiKorban" ColumnName="IdKondisiKorban" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Kotas">
            <EntityTypeMapping TypeName="BangjasaModel.Kota">
              <MappingFragment StoreEntitySet="Kota">
                <ScalarProperty Name="Terhapus" ColumnName="Terhapus" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="IdKota" ColumnName="IdKota" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Provinsis">
            <EntityTypeMapping TypeName="BangjasaModel.Provinsi">
              <MappingFragment StoreEntitySet="Provinsi">
                <ScalarProperty Name="Dihapus" ColumnName="Dihapus" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="IdProvinsi" ColumnName="IdProvinsi" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Faskes">
            <EntityTypeMapping TypeName="BangjasaModel.Faske">
              <MappingFragment StoreEntitySet="Faskes">
                <ScalarProperty Name="Terhapus" ColumnName="Terhapus" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="IdFaskes" ColumnName="IdFaskes" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="HubunganPelapors">
            <EntityTypeMapping TypeName="BangjasaModel.HubunganPelapor">
              <MappingFragment StoreEntitySet="HubunganPelapor">
                <ScalarProperty Name="Terhapus" ColumnName="Terhapus" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="IdHubunganPelapor" ColumnName="IdHubunganPelapor" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="PengajuanKecelakaans">
            <EntityTypeMapping TypeName="BangjasaModel.PengajuanKecelakaan">
              <MappingFragment StoreEntitySet="PengajuanKecelakaan">
                <ScalarProperty Name="Status" ColumnName="Status" />
                <ScalarProperty Name="SuratLaporanPolisi" ColumnName="SuratLaporanPolisi" />
                <ScalarProperty Name="NoLaporan" ColumnName="NoLaporan" />
                <ScalarProperty Name="LaporanPolisi" ColumnName="LaporanPolisi" />
                <ScalarProperty Name="SuratKeteranganAhliWaris" ColumnName="SuratKeteranganAhliWaris" />
                <ScalarProperty Name="SuratKeteranganKesehatan" ColumnName="SuratKeteranganKesehatan" />
                <ScalarProperty Name="KwitansiRS" ColumnName="KwitansiRS" />
                <ScalarProperty Name="KTP" ColumnName="KTP" />
                <ScalarProperty Name="IdFaskes" ColumnName="IdFaskes" />
                <ScalarProperty Name="IdKotaPelapor" ColumnName="IdKotaPelapor" />
                <ScalarProperty Name="IdProvinsiPelapor" ColumnName="IdProvinsiPelapor" />
                <ScalarProperty Name="HandphonePelapor" ColumnName="HandphonePelapor" />
                <ScalarProperty Name="NamaPelapor" ColumnName="NamaPelapor" />
                <ScalarProperty Name="IdHubunganPelapor" ColumnName="IdHubunganPelapor" />
                <ScalarProperty Name="IdKasusKecelakaan" ColumnName="IdKasusKecelakaan" />
                <ScalarProperty Name="IdKondisiKorban" ColumnName="IdKondisiKorban" />
                <ScalarProperty Name="Alamat" ColumnName="Alamat" />
                <ScalarProperty Name="JenisKelamin" ColumnName="JenisKelamin" />
                <ScalarProperty Name="Umur" ColumnName="Umur" />
                <ScalarProperty Name="IdKota" ColumnName="IdKota" />
                <ScalarProperty Name="IdKabupaten" ColumnName="IdKabupaten" />
                <ScalarProperty Name="IdProvinsi" ColumnName="IdProvinsi" />
                <ScalarProperty Name="TanggalKecelakaan" ColumnName="TanggalKecelakaan" />
                <ScalarProperty Name="Nama" ColumnName="Nama" />
                <ScalarProperty Name="NIK" ColumnName="NIK" />
                <ScalarProperty Name="NomorPelaporan" ColumnName="NomorPelaporan" />
                <ScalarProperty Name="IdPengajuan" ColumnName="IdPengajuan" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Customers">
            <EntityTypeMapping TypeName="BangjasaModel.Customer">
              <MappingFragment StoreEntitySet="Customer">
                <ScalarProperty Name="UpdatedBy" ColumnName="UpdatedBy" />
                <ScalarProperty Name="UpdatedDate" ColumnName="UpdatedDate" />
                <ScalarProperty Name="CreatedBy" ColumnName="CreatedBy" />
                <ScalarProperty Name="CreatedDate" ColumnName="CreatedDate" />
                <ScalarProperty Name="IsDeleted" ColumnName="IsDeleted" />
                <ScalarProperty Name="LastLogin" ColumnName="LastLogin" />
                <ScalarProperty Name="Foto" ColumnName="Foto" />
                <ScalarProperty Name="Token" ColumnName="Token" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="Handphone" ColumnName="Handphone" />
                <ScalarProperty Name="Fullname" ColumnName="Fullname" />
                <ScalarProperty Name="Password" ColumnName="Password" />
                <ScalarProperty Name="Username" ColumnName="Username" />
                <ScalarProperty Name="CustomerId" ColumnName="CustomerId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Pembayarans">
            <EntityTypeMapping TypeName="BangjasaModel.Pembayaran">
              <MappingFragment StoreEntitySet="Pembayaran">
                <ScalarProperty Name="Status" ColumnName="Status" />
                <ScalarProperty Name="TanggalPembayaran" ColumnName="TanggalPembayaran" />
                <ScalarProperty Name="UrlPembayaran" ColumnName="UrlPembayaran" />
                <ScalarProperty Name="TanggalJatuhTempo" ColumnName="TanggalJatuhTempo" />
                <ScalarProperty Name="Jumlah" ColumnName="Jumlah" />
                <ScalarProperty Name="Keterangan" ColumnName="Keterangan" />
                <ScalarProperty Name="NomorPembayaran" ColumnName="NomorPembayaran" />
                <ScalarProperty Name="CustomerId" ColumnName="CustomerId" />
                <ScalarProperty Name="IdPembayaran" ColumnName="IdPembayaran" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>